package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 获取部门员工一个月每天工时接口参数
 * @author: nh
 * @create: 2021-01-20 16:04
 **/
@Data
@ApiModel(value = "GetMonthlyCollectParam", description = "获取部门员工一个月每天工时接口参数")
public class GetMonthlyCollectParam {
    /**
     * 年
     */
    @ApiModelProperty(name = "year", value = "年")
    private Integer year;

    /**
     * 月
     */
    @ApiModelProperty(name = "month", value = "月")
    private Integer month;

    /**
     * 用户主键
     */
    @ApiModelProperty(name = "userId", value = "用户主键")
    private Integer userId;

    /**
     * 部门主键
     */
    @ApiModelProperty(name = "deptId", value = "部门主键")
    private Integer deptId;

    /**
     * 当前页码
     */
    @ApiModelProperty(name = "currentPage", value = "当前页码")
    private Integer currentPage;

    /**
     * 每页的数量
     */
    @ApiModelProperty(name = "size", value = "每页的数量")
    private Integer size;
}
